Retrieve a meeting session artifact
Retrieves a single meeting session artifact by ID.
GET
/
meeting_sessions
/
{id}
/
artifacts
/
{artifact_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const MeetingSessionArtifact = await client.meetingSessions.artifacts.retrieve('id', 'artifact_id');
console.log(MeetingSessionArtifact.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
meeting_session_artifact = client.meeting_sessions.artifacts.retrieve(
"id",
"artifact_id",
)
print(meeting_session_artifact.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
artifact, err := client.MeetingSessions.Artifacts.Get(
context.TODO(),
"id",
"artifact_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", artifact.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.meetingSessions().artifacts().retrieve("id", "artifact_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
meeting_session_artifact = telnyx.meeting_sessions.artifacts.retrieve("id", "artifact_id")
puts(meeting_session_artifact)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$meeting_session_artifact = $client->meetingSessions->artifacts->retrieve(
'id',
'artifact_id',
);
var_dump($meeting_session_artifact);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx meeting-sessions:artifacts retrieve \
--api-key 'My API Key' \
--id id \
--artifact-id artifact_idcurl --request GET \
--url https://api.telnyx.com/v2/meeting_sessions/{id}/artifacts/{artifact_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "mtgart_550e8400-e29b-41d4-a716-446655440000",
"session_id": "mtgsess_550e8400-e29b-41d4-a716-446655440001",
"type": "action_items",
"status": "pending",
"content": null,
"model_provenance": null,
"failure_reason": null,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
}{
"error": {
"code": "unauthorized",
"message": "invalid or missing credentials"
}
}{
"error": {
"code": "forbidden",
"message": "credential is not permitted"
}
}{
"error": {
"code": "not_found",
"message": "meeting session not found"
}
}{
"error": {
"code": "auth_overloaded",
"message": "authentication temporarily overloaded"
}
}{
"error": {
"code": "internal_error",
"message": "internal server error"
}
}{
"error": {
"code": "auth_unavailable",
"message": "authentication service unavailable"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the meeting session.
Example:
"mtgsess_a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Unique identifier for a meeting session artifact.
Example:
"mtgart_b2c3d4e5-f6a7-8901-bcde-f23456789012"
Response
Successful response with the meeting session artifact.
Show child attributes
Show child attributes
Examples:
{
"id": "mtgart_550e8400-e29b-41d4-a716-446655440000",
"session_id": "mtgsess_550e8400-e29b-41d4-a716-446655440001",
"type": "action_items",
"status": "pending",
"content": null,
"model_provenance": null,
"failure_reason": null,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
{
"id": "mtgart_550e8400-e29b-41d4-a716-446655440002",
"session_id": "mtgsess_550e8400-e29b-41d4-a716-446655440001",
"type": "summary",
"status": "completed",
"content": {
"text": "The team reviewed project goals and agreed on next steps."
},
"model_provenance": {
"model": "example-model",
"provider": "example-provider"
},
"failure_reason": null,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:31:00Z"
}
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const MeetingSessionArtifact = await client.meetingSessions.artifacts.retrieve('id', 'artifact_id');
console.log(MeetingSessionArtifact.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
meeting_session_artifact = client.meeting_sessions.artifacts.retrieve(
"id",
"artifact_id",
)
print(meeting_session_artifact.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
artifact, err := client.MeetingSessions.Artifacts.Get(
context.TODO(),
"id",
"artifact_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", artifact.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.meetingSessions().artifacts().retrieve("id", "artifact_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
meeting_session_artifact = telnyx.meeting_sessions.artifacts.retrieve("id", "artifact_id")
puts(meeting_session_artifact)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$meeting_session_artifact = $client->meetingSessions->artifacts->retrieve(
'id',
'artifact_id',
);
var_dump($meeting_session_artifact);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx meeting-sessions:artifacts retrieve \
--api-key 'My API Key' \
--id id \
--artifact-id artifact_idcurl --request GET \
--url https://api.telnyx.com/v2/meeting_sessions/{id}/artifacts/{artifact_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "mtgart_550e8400-e29b-41d4-a716-446655440000",
"session_id": "mtgsess_550e8400-e29b-41d4-a716-446655440001",
"type": "action_items",
"status": "pending",
"content": null,
"model_provenance": null,
"failure_reason": null,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z"
}
}{
"error": {
"code": "unauthorized",
"message": "invalid or missing credentials"
}
}{
"error": {
"code": "forbidden",
"message": "credential is not permitted"
}
}{
"error": {
"code": "not_found",
"message": "meeting session not found"
}
}{
"error": {
"code": "auth_overloaded",
"message": "authentication temporarily overloaded"
}
}{
"error": {
"code": "internal_error",
"message": "internal server error"
}
}{
"error": {
"code": "auth_unavailable",
"message": "authentication service unavailable"
}
}